TARGET = invaders
CN := ../../bin/cn
CC := g++

CFLAGS := -g -std=c++17 -Wall
LIB := -lSDL2main -lSDL2 -lSDL2_image

$(TARGET):
	$(CN) invaders.cn
	$(CC) $(CFLAGS) $(LIB) invaders.cpp -o $(TARGET)

.PHONY: clean tests

clean:
	rm invaders.cpp invaders.hpp invaders
